Location Suggestions
curl --request GET \
--url https://scrapebadger.com/v1/realtor/autocomplete \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/realtor/autocomplete"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/realtor/autocomplete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/realtor/autocomplete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/realtor/autocomplete"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/realtor/autocomplete")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/realtor/autocomplete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"market": "<string>",
"query": "<string>",
"suggestions": [
{
"id": "<string>",
"type": "<string>",
"label": "<string>",
"city": "<string>",
"state_code": "<string>",
"postal_code": "<string>",
"country": "<string>",
"slug_id": "<string>",
"geo_id": "<string>",
"coordinate": {
"lat": 123,
"lon": 123
},
"market": "<string>"
}
]
}Search
Location Suggestions
Autocomplete locations (cities, ZIPs, neighborhoods, addresses) for a partial query.
GET
/
v1
/
realtor
/
autocomplete
Location Suggestions
curl --request GET \
--url https://scrapebadger.com/v1/realtor/autocomplete \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/realtor/autocomplete"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/realtor/autocomplete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/realtor/autocomplete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/realtor/autocomplete"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/realtor/autocomplete")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/realtor/autocomplete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"market": "<string>",
"query": "<string>",
"suggestions": [
{
"id": "<string>",
"type": "<string>",
"label": "<string>",
"city": "<string>",
"state_code": "<string>",
"postal_code": "<string>",
"country": "<string>",
"slug_id": "<string>",
"geo_id": "<string>",
"coordinate": {
"lat": 123,
"lon": 123
},
"market": "<string>"
}
]
}Query Parameters
Response
Array of suggestion objects.
Show Suggestion object
Show Suggestion object
Example Response
{
"market": "us",
"query": "austi",
"suggestions": [
{
"id": "city:austin_tx",
"type": "city",
"label": "Austin, TX",
"city": "Austin",
"state_code": "TX",
"postal_code": null,
"country": "US",
"slug_id": "Austin_TX",
"geo_id": "1234",
"coordinate": { "lat": 30.2672, "lon": -97.7431 },
"market": "us"
}
]
}
Each autocomplete request costs 3 credits. Failed requests are not charged.

